OAuth
Process the reset password form
Validates the reset token, updates the user password and revokes every existing token so all sessions are logged out.
POST
/
oauth
/
reset-password
Process the reset password form
curl --request POST \
--url https://api.reelevant.com/v2/oauth/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'token=<string>' \
--data 'password=<string>' \
--data 'password_confirm=<string>' \
--data 'lang=<string>'import requests
url = "https://api.reelevant.com/v2/oauth/reset-password"
payload = {
"token": "<string>",
"password": "<string>",
"password_confirm": "<string>",
"lang": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
token: '<string>',
password: '<string>',
password_confirm: '<string>',
lang: '<string>'
})
};
fetch('https://api.reelevant.com/v2/oauth/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Was this page helpful?
⌘I
Process the reset password form
